org.kie.internal.builder

## Enum ResourceChange.Type

- java.lang.Object
- - java.lang.Enum<ResourceChange.Type>
  - - org.kie.internal.builder.ResourceChange.Type

- All Implemented Interfaces:
    Serializable, Comparable<ResourceChange.Type>
  Enclosing class:
    ResourceChange

      public static enum ResourceChange.Type
      extends Enum<ResourceChange.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECLARATION`
    `FUNCTION`
    `GLOBAL`
    `PROCESS`
    `RULE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ResourceChange.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceChange.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RULE

          public static final ResourceChange.Type RULE

    - #### DECLARATION

          public static final ResourceChange.Type DECLARATION

    - #### FUNCTION

          public static final ResourceChange.Type FUNCTION

    - #### GLOBAL

          public static final ResourceChange.Type GLOBAL

    - #### PROCESS

          public static final ResourceChange.Type PROCESS

  - ### Method Detail

    - #### values

          public static ResourceChange.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceChange.Type c : ResourceChange.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceChange.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ResourceChange.Type>`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.